using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
    public interface IECO_SettingMananger: IGenericManager<ECO_Setting>
    {
        int Add(ECO_Setting test);
        new void Update(ECO_Setting n);

        //这里开始 
        void ECO_Start_Mission(string id, int start_hour, int start_minute, int end_hour,int end_minute, bool IsEnable);
        void ECO_Reset_Mission(string id, int end_hour,int end_minute, bool IsEnable);
    }
}
